Subject: Re: [PATCH v6 0/3] rebase: document, clean up, and introduce a config option for --rebase-merges

From: Sergey Organov <[email-masked]>
Date: Mon, 06 Mar 2023 16:23:05 +0300

Alex Henrie <[email-masked]> writes:

[...]

>> > so it seems fine to advertise them to users.
>>
>> --no-rebase-merges is fine, but then you don't advertise it anyway.
>
> I am not sure what you mean by this. The first patch of the series
> adds documentation and a test for --no-rebase-merges, so I am
> advertising it.

Ah, yes, you do it there, and that's fine with me.

I meant only the part where you suggest --rebase-merges instead of
--rebase-merges="". I have no nitpicks about any other parts of the
series.

> Or are you saying that I /should/ advertise neither --no-rebase-merges
> nor --rebase-merges without an argument, because you think
> --rebase-merges=off and --rebase-merges=on would be better?

No, --no-rebase-merges is fine as far as I'm concerned.

Thanks,
-- Sergey